﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.Supplier;
@using Portal.Models.Dock;
@using Portal.Models.Globals;

@model Toyota.Common.Web.MVC.ModelHolder


@*<script src="~/Scripts/ASPxScriptIntelliSense.js" type="text/javascript"></script>
<script type="text/javascript">
    var currentOrderReleaseDate;

    function OnHyperLinkClick(order_Release_Date_Regular) {
        currentOrderReleaseDate = order_Release_Date_Regular;
        GRDetailGrid.PerformCallback();
    }

    function OnDetailGridBeginCallback(s, e) {
        e.customArgs["Order_Release_Date_Regular"] = currentOrderReleaseDate;
    }

    function OnDetailGridEndCallback(s, e) {
        if (!popupDetail.IsVisible())
            popupDetail.Show();
    }

    function ClearItem(s, e) {
        LookupSupplier.SetText('');
        LookupDockCode.SetText('');
        ManifestNo.SetText('');
        DateFrom.SetText('');
        DateTo.SetText('');

    }
</script>
<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="padding-bottom:8px; padding-right:4px;">Supplier</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "LookupSupplier";
                s.GridProperties.KeyFieldName = "SupplierCode";
                s.Width = 120;
                
                s.GridProperties.CallbackRouteValues = new { Controller = "DailyOrder", Action = "CallbackSupplier" };

                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                
                s.GridProperties.SettingsPager.PageSize = 100;
                s.GridProperties.SettingsPager.AlwaysShowPager = true;
                s.GridProperties.SettingsPager.PageSizeItemSettings.Visible = false;
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierCode";
                    c.FieldName = "SupplierCode";
                    c.Caption = "Supplier Code";
                    c.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierName";
                    c.FieldName = "SupplierName";
                    c.Caption = "Supplier Name";
                });
            }
        ).Bind(ViewData["GridSupplier"]).GetHtml()
        </td>
        <td style="padding-bottom:8px; padding-right:4px;">Dock Code</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlDock";
                s.GridProperties.KeyFieldName = "DockCode";
                s.Width = 120;
                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(180);
                s.GridProperties.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "DockCodePartial" };
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                s.GridProperties.SettingsPager.PageSize = 100;
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "DockCode";
                    c.FieldName = "DockCode";
                    c.Caption = "Dock Code";
                    c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "DockName";
                    c.FieldName = "DockName";
                    c.Caption = "Dock Name";
                    c.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
            }
        ).Bind(ViewData["DockCode"]).GetHtml()
        </td>
        <td nowrap="nowrap" style="padding-bottom:8px; padding-right:4px;">Manifest No</td>
        <td style="padding-bottom:8px; padding-right:0px; margin-right:0px;">
        @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "ManifestNo";
                settings.Width = 130;
            }
        ).GetHtml()                    
        </td>
    </tr>
    <tr>
        <td style="padding-bottom:8px; padding-right:4px;" nowrap="nowrap">Order Release Date</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "DateFrom";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 120;
            }
        ).GetHtml()
        </td>
        <td style="padding-bottom:8px; padding-right:4px;">To</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "DateTo";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 120;
            }
        ).GetHtml()                    
        </td>
    </tr>
    <tr>
        <td colspan="3">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td style="padding-right:10px;">
                @Html.DevExpress().Button(
                settings =>
                    {
                        settings.Name = "btnDownload";
                        settings.Text = "Download List";
                        settings.Width = 100;
                        settings.UseSubmitBehavior = true;
                        settings.ClientSideEvents.Click = "DownloadList";
                    }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                    settings =>
                        {
                            settings.Name = "btnView";
                            settings.Text = "View Detail";
                            settings.Width = 100;
                            settings.UseSubmitBehavior = true;
                            settings.ControlStyle.CssClass = "dxDisplayInline";
                            settings.ClientSideEvents.Click = "ViewDetail";
                        }
                    ).GetHtml()

                    

                </td>
            </tr>
        </table>
        </td>
        <td align="right" colspan="3">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td style="padding-right:10px;">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnSearch";
                        settings.Text = "Search";
                        settings.Width = 80;
                        settings.UseSubmitBehavior = true;
                        settings.ClientSideEvents.Click = "ReloadGridView";
                    }
                ).GetHtml()
                </td>
                <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnClear";
                        settings.Text = "Clear";
                        settings.Width = 80;
                        settings.UseSubmitBehavior = true;
                        settings.ClientSideEvents.Click = "ClearItem";
                    }
                ).GetHtml()                    
                </td>
            </tr>
        </table>                  
        </td>
    </tr>
</table>*@

<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                }).GetHtml() 
        </td>
        <td style="width:108px">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHSupplierOption";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrder", Action = "PartialHeaderSupplierLookupGridOrderInquiry" };
                    gridLookup.ReadOnly = true;
                    if (Model.GetModel<List<SupplierName>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<SupplierName>>()[0].SUPPLIER_CODE_PLANT;
                    }
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE_PLANT";
                        column.FieldName = "SUPPLIER_CODE_PLANT";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()                        
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td style="width:39px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock";
                }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHDockOption";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrder", Action = "PartialHeaderDockLookupGridOrderInquiry" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PLANT_CD";
                        column.FieldName = "PLANT_CD";
                        column.Caption = "Plant Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PLANT_NM";
                        column.FieldName = "PLANT_NM";
                        column.Caption = "Plant Name";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CD";
                        column.FieldName = "DOCK_CD";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NM";
                        column.FieldName = "DOCK_NM";
                        column.Caption = "Dock Name";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<DockData>>()).GetHtml()              
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td style="width:75px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Manifest No";
                }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "OIHManifestNoText";
                    textBox.Name = "OIHManifestNoText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()           
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td style="width:75px"  >
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Status Part";
                    label.Name = "lblStatusPart";
                }).GetHtml()
        </td>
        <td style="width:108px">
            @Html.DevExpress().ComboBox(
                cmb => {
                    cmb.Name = "cmbStatusPart";
                    cmb.Width = System.Web.UI.WebControls.Unit.Pixel(150);
                    cmb.Properties.Items.Add("ALL", "");
                    cmb.Properties.Items.Add("Reguler");
                    cmb.Properties.Items.Add("Build Out");
                    
                    cmb.Properties.DropDownStyle = DropDownStyle.DropDown;
                    cmb.Properties.DropDownHeight = 70;
                    cmb.Properties.EnableClientSideAPI = true;
                    cmb.SelectedIndex = 0;
                }
            ).BindList(ViewData["StatusPart"]).GetHtml()
        </td>



    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Creation Date";
                }).GetHtml()
                <font color="red">*</font>
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OIHOrderReleaseFromDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now.AddDays(-1);
                }
            ).GetHtml()                     
        </td>
        <td></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To";
                }).GetHtml()                          
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OIHOrderReleaseToDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                }
            ).GetHtml()             
        </td>


        <td></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part Number";
                    label.Name = "lblPartNumber";
                }).GetHtml()                          
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "partNumberText";
                    textBox.Name = "partNumberText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()       
        </td>
        <td></td> @* column spacing *@
        <td style="width:75px"  >
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Emergency Order Type";
                    label.Name = "lblEOT";
                }).GetHtml()
        </td>
        <td style="width:108px">
             @Html.DevExpress().ComboBox(c =>
        {
            c.Name = "coEOT";
            c.Properties.ClientInstanceName = "coEOT";
            c.Width = Unit.Percentage(100);
            c.Properties.ValueField = "Val";
            c.Properties.ValueType = typeof(string);
            c.Properties.TextField = "Text";
            c.Properties.TextFormatString = "{0} - {1}";

            c.Properties.DropDownStyle = DropDownStyle.DropDown;
            c.Properties.Columns.Add("Val", "Code", Unit.Pixel(60));
            c.Properties.Columns.Add("Text", "Name");
            c.Properties.ClientSideEvents.SelectedIndexChanged = "coEOTSelectedIndexChanged";
            c.SelectedIndex = 0;
        }).BindList(ViewData["EOT"]).GetHtml()     
        </td>


    </tr>
    <tr style="height:15px"></tr> @* row spacing *@
    <tr>
        <td colspan="1" align="left">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "OIHDownloadButton";
                    buttonSettings.Text = "Download";
                    //buttonSettings.ControlStyle.CssClass = "dxDisplayInline";
                    buttonSettings.Width = Unit.Pixel(110);
                    buttonSettings.ClientSideEvents.Click = "OnOIHDownloadButtonClick";
                }).GetHtml()                     
        </td>
        <td colspan="1" align="left">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "OIHToggleButton";
                    buttonSettings.Text = "View Detail";
                    //buttonSettings.ControlStyle.CssClass = "dxDisplayInline";
                    buttonSettings.Width = Unit.Pixel(110);
                    buttonSettings.ClientSideEvents.Click = "OnOIHToggleButtonClick";
                    buttonSettings.EnableClientSideAPI = true;
                }).GetHtml()   
        </td>
        <td colspan="3" align="left">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "OIHCancelOrderButton";
                    buttonSettings.Text = "Cancel Order";
                    //buttonSettings.ControlStyle.CssClass = "dxDisplayInline";
                    buttonSettings.Width = Unit.Pixel(110);
                    buttonSettings.ClientSideEvents.Click = "OnOIHCancelOrderButtonClick";
                    buttonSettings.ClientVisible = false;
                }).GetHtml()
        </td>
        <td></td>
        <td></td>
        <td></td>
        
        <td colspan="3" align="right">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "OIHSearchButton";
                                settings.Text = "Search";
                                settings.Width = Unit.Pixel(80);
                                //settings.Style.Add("display", "inline-table");
                                settings.ClientSideEvents.Click = "OnOIHSearchButtonClick";
                                settings.EnableClientSideAPI = true;
                            }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.Name = "OIHClearButton";
                                    settings.Text = "Clear";
                                    settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                                    //settings.Style.Add("display", "inline-table");
                                    settings.ClientSideEvents.Click = "OnOIHClearButtonClick";
                                    settings.EnableClientSideAPI = true;
                                }).GetHtml()
                    </td>
                </tr>    
            </table>
        </td>
    </tr>
</table>